Retrieve a single venue deposit
curl --request GET \
--url https://api.staging.layer1.com/trade/v1/venues/deposits/{depositId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "ETH",
"venue": "binance",
"status": "SIMULATED",
"amount": 1.5,
"blockchainDestination": {
"address": 6.6325114945411165e+47,
"tag": "109281",
"alias": "eth_mainnet",
"network": "ETH"
},
"fiatDestination": {
"alias": "hsbc_eur",
"reference": "payment123"
},
"venueTransferId": "DEP123456",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"blockchainMetadata": {
"hash": "<string>"
},
"fiatMetadata": "<unknown>",
"failureMessage": "Insufficient funds"
}Documentation Index
Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Unique identifier of the deposit to retrieve
OK
Unique identifier of the deposit
The asset being deposited
"ETH"
The venue where the deposit was made
"binance"
Current status of the deposit
SIMULATED, APPROVAL_REQUESTED, PENDING, SUBMITTED, COMPLETED, FAILED, CANCELLED Amount of the deposit
1.5
Blockchain destination details for the deposit
Show child attributes
Fiat destination details for the deposit
Show child attributes
Unique identifier of the deposit at the venue
"DEP123456"
Timestamp when the deposit was created
Timestamp when the deposit was last updated
Additional blockchain-related metadata for the deposit
Show child attributes
Additional fiat-related metadata for the deposit
Error message if the deposit failed
"Insufficient funds"
curl --request GET \
--url https://api.staging.layer1.com/trade/v1/venues/deposits/{depositId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "ETH",
"venue": "binance",
"status": "SIMULATED",
"amount": 1.5,
"blockchainDestination": {
"address": 6.6325114945411165e+47,
"tag": "109281",
"alias": "eth_mainnet",
"network": "ETH"
},
"fiatDestination": {
"alias": "hsbc_eur",
"reference": "payment123"
},
"venueTransferId": "DEP123456",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"blockchainMetadata": {
"hash": "<string>"
},
"fiatMetadata": "<unknown>",
"failureMessage": "Insufficient funds"
}